#ifndef SHARED_COMMANDS_HPP
#define SHARED_COMMANDS_HPP

#include "servers.hpp"
#include "command_registry.hpp"

namespace dropshell {

    // defined in install.cpp
    bool rsync_tree_to_remote(
        const std::string &local_path,
        const std::string &remote_path, 
        server_env_manager &server_env, 
        bool silent);

    // defined in install.cpp
    bool install_service(const std::string& server, const std::string& service, bool silent);

    // defined in health.cpp
    std::string healthtick(const std::string& server, const std::string& service);

    // defined in standard_autocomplete.cpp
    void std_autocomplete(const CommandContext& ctx);

} // namespace dropshell
#endif
